org.apache.ignite.internal.managers.discovery

## Class SecurityAwareCustomMessageWrapper

- java.lang.Object
- - org.apache.ignite.internal.managers.discovery.CustomMessageWrapper
  - - org.apache.ignite.internal.managers.discovery.SecurityAwareCustomMessageWrapper

All Implemented Interfaces:
  Serializable, DiscoverySpiCustomMessage

    public class SecurityAwareCustomMessageWrapper
    extends CustomMessageWrapper

Extends `CustomMessageWrapper` with ID of security subject that initiated the current message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SecurityAwareCustomMessageWrapper(DiscoveryCustomMessage delegate, UUID secSubjId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable DiscoverySpiCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`UUID` `securitySubjectId()` Gets security Subject ID.

### Methods inherited from class org.apache.ignite.internal.managers.discovery.CustomMessageWrapper

`delegate, isMutable, stopProcess, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SecurityAwareCustomMessageWrapper

    public SecurityAwareCustomMessageWrapper(DiscoveryCustomMessage delegate,
                                             UUID secSubjId)

### Method Detail

#### securitySubjectId

    public UUID securitySubjectId()

Gets security Subject ID.

#### ackMessage

    @Nullable
    public @Nullable DiscoverySpiCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoverySpiCustomMessage`
Overrides:
  `ackMessage` in class `CustomMessageWrapper`
Returns:
  Ack message or `null` if ack is not required.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023